\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - 3D Surface Mesh Generation

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Enumerations | Functions
I/O
Functions

##

## Enumerations
enum | CGAL::Surface_mesher::IO_option { CGAL::Surface_mesher::NO_OPTION = 0, CGAL::Surface_mesher::IO_ORIENT_SURFACE = 1, CGAL::Surface_mesher::IO_VERBOSE = 2 }
| Options for function `output_surface_facets_to_off()`. More...

## Functions
template<class SurfaceMeshComplex_2InTriangulation_3 >
bool | CGAL::output_surface_facets_to_off (std::ostream &os, const SurfaceMeshComplex_2InTriangulation_3 &c2t3, int options=Surface_mesher::IO_ORIENT_SURFACE)
| writes a manifold or non-manifold surface reconstructed by `make_surface_mesh()` in the OFF file format. More...
template<class SurfaceMeshComplex_2InTriangulation_3 , class Polyhedron >
bool | CGAL::output_surface_facets_to_polyhedron (const SurfaceMeshComplex_2InTriangulation_3 &c2t3, Polyhedron &output_polyhedron)
| converts a manifold surface reconstructed by `make_surface_mesh()` to a `Polyhedron_3<Traits>`. More...

## Enumeration Type Documentation

enum CGAL::Surface_mesher::IO_option

Options for function `output_surface_facets_to_off()`.

`#include <CGAL/IO/Io_option.h>`

Enumerator
NO_OPTION |
IO_ORIENT_SURFACE |
IO_VERBOSE |

## Function Documentation

template<class SurfaceMeshComplex_2InTriangulation_3 >

bool CGAL::output_surface_facets_to_off | ( | std::ostream & | os,
|  | const SurfaceMeshComplex_2InTriangulation_3 & | c2t3,
|  | int | options = `Surface_mesher::IO_ORIENT_SURFACE`
| ) |  |

writes a manifold or non-manifold surface reconstructed by `make_surface_mesh()` in the OFF file format.

In case the surface is manifold the triangles can be oriented.

Template Parameters

  SurfaceMeshComplex_2InTriangulation_3 | must be a model of the `SurfaceMeshComplex_2InTriangulation_3` concept.

Returns
  `true` if the surface is manifold and orientable.

Parameters

  os | stream in which to write.
  c2t3 | Input surface.
  options | an int that is the binary union of values of `Surface_mesher::IO_option`.

Returns
  `true` if the surface could be written to the stream.

See Also
  `CGAL::output_surface_facets_to_polyhedron()`

`#include <CGAL/IO/output_surface_facets_to_off.h>`

Examples:
  Surface_mesher/mesh_a_3d_gray_image.cpp.

template<class SurfaceMeshComplex_2InTriangulation_3 , class Polyhedron >

bool CGAL::output_surface_facets_to_polyhedron | ( | const SurfaceMeshComplex_2InTriangulation_3 & | c2t3,
|  | Polyhedron & | output_polyhedron
| ) |  |

converts a manifold surface reconstructed by `make_surface_mesh()` to a `Polyhedron_3<Traits>`.

The surface must be manifold. For this purpose, you may call `make_surface_mesh()` with `Manifold_tag` or `Manifold_with_boundary_tag` parameter.

Template Parameters

  SurfaceMeshComplex_2InTriangulation_3 | must be a model of the `SurfaceMeshComplex_2InTriangulation_3` concept.
  Polyhedron | must be an instance of `Polyhedron_3<Traits>`.

Returns
  `true` if the surface is manifold and orientable.

Parameters

  c2t3 | Input surface.
  output_polyhedron | Output polyhedron.

See Also
  `CGAL::output_surface_facets_to_off()`

`#include <CGAL/IO/output_surface_facets_to_polyhedron.h>`